CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api GET /v1/verification/sessions/<sessionId>/configGet session configuration (<sessionId>).import requests
url = "https://sandbox.api.infinite.dev/v1/verification/sessions/{sessionId}/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/verification/sessions/{sessionId}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/verification/sessions/{sessionId}/config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/verification/sessions/{sessionId}/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/verification/sessions/{sessionId}/config")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/verification/sessions/{sessionId}/config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"organizationId": "<string>",
"organization": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"parentOrganizationId": "<string>",
"logoUrl": "<string>",
"metadata": {},
"createdAt": "<string>",
"updatedAt": "<string>"
},
"customerId": "<string>",
"verificationSubtype": "<string>",
"countryCode": "<string>",
"email": "<string>",
"name": "<string>",
"status": "<string>",
"expiresAt": "<string>",
"completedAt": "<string>",
"submittedAt": "<string>",
"completedSteps": [
"<string>"
],
"requiredSteps": [
"<string>"
],
"requiredFields": [
{
"fieldPath": "<string>",
"displayName": "<string>",
"dataType": "<string>",
"required": true,
"validationPattern": "<string>",
"validationMessage": "<string>",
"allowedValues": [
"<string>"
],
"exampleValue": "<string>",
"uiTag": "<string>",
"infoBox": "<string>",
"options": [
"<string>"
],
"isMultiSelect": true,
"stepId": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
},
"minLength": 123,
"maxLength": 123,
"link": "<string>",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"countryCode": "<string>",
"allowNoTinPlaceholder": true,
"sourcePackage": "<string>"
}
],
"requiredDocuments": [
{
"documentType": "IDENTITY",
"displayName": "<string>",
"required": true,
"acceptedFormats": [
"<string>"
],
"requiredSides": [
"<string>"
],
"maxSizeBytes": 123,
"infoBox": "<string>",
"stepId": "<string>",
"requirementId": "<string>",
"documentSubtype": "GOVERNMENT_ID_FRONT",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"documentFieldPath": "<string>",
"minimumFileCount": 123,
"sourcePackage": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
}
}
],
"documentRequirements": {
"requiredDocuments": [
{
"documentType": "IDENTITY",
"displayName": "<string>",
"required": true,
"acceptedFormats": [
"<string>"
],
"requiredSides": [
"<string>"
],
"maxSizeBytes": 123,
"infoBox": "<string>",
"stepId": "<string>",
"requirementId": "<string>",
"documentSubtype": "GOVERNMENT_ID_FRONT",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"documentFieldPath": "<string>",
"minimumFileCount": 123,
"sourcePackage": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
}
}
]
},
"steps": [
{
"id": "<string>",
"title": "<string>",
"subtitle": "<string>",
"order": 123,
"requiredFields": [
"<string>"
],
"requiredDocuments": [
"<string>"
],
"documentRequirements": {
"requiredDocuments": [
{
"documentType": "IDENTITY",
"displayName": "<string>",
"required": true,
"acceptedFormats": [
"<string>"
],
"requiredSides": [
"<string>"
],
"maxSizeBytes": 123,
"infoBox": "<string>",
"stepId": "<string>",
"requirementId": "<string>",
"documentSubtype": "GOVERNMENT_ID_FRONT",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"documentFieldPath": "<string>",
"minimumFileCount": 123,
"sourcePackage": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
}
}
]
}
}
],
"estimatedCompletionTimeMinutes": 123,
"collectedData": {},
"providerData": {},
"providerSessionId": "<string>",
"verificationUrl": "<string>",
"metadata": {},
"fillOnBehalf": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"featureFlags": [
"socuredocv",
"advanced-reporting"
],
"bankPartnerAgreementsRequired": true,
"associatedEntityId": "asp_abc123",
"customerName": "Acme Corporation",
"enhancedDiligence": {
"requiredFields": [
{
"fieldPath": "<string>",
"displayName": "<string>",
"dataType": "<string>",
"required": true,
"validationPattern": "<string>",
"validationMessage": "<string>",
"allowedValues": [
"<string>"
],
"exampleValue": "<string>",
"uiTag": "<string>",
"infoBox": "<string>",
"options": [
"<string>"
],
"isMultiSelect": true,
"stepId": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
},
"minLength": 123,
"maxLength": 123,
"link": "<string>",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"countryCode": "<string>",
"allowNoTinPlaceholder": true,
"sourcePackage": "<string>"
}
],
"requiredDocuments": [
{
"documentType": "IDENTITY",
"displayName": "<string>",
"required": true,
"acceptedFormats": [
"<string>"
],
"requiredSides": [
"<string>"
],
"maxSizeBytes": 123,
"infoBox": "<string>",
"stepId": "<string>",
"requirementId": "<string>",
"documentSubtype": "GOVERNMENT_ID_FRONT",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"documentFieldPath": "<string>",
"minimumFileCount": 123,
"sourcePackage": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
}
}
]
},
"deviceRiskSessionKey": "<string>"
}Verification
Get session configuration
GET
/
v1
/
verification
/
sessions
/
{sessionId}
/
config
CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api GET /v1/verification/sessions/<sessionId>/configGet session configuration (<sessionId>).import requests
url = "https://sandbox.api.infinite.dev/v1/verification/sessions/{sessionId}/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/verification/sessions/{sessionId}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/verification/sessions/{sessionId}/config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/verification/sessions/{sessionId}/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/verification/sessions/{sessionId}/config")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/verification/sessions/{sessionId}/config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"organizationId": "<string>",
"organization": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"parentOrganizationId": "<string>",
"logoUrl": "<string>",
"metadata": {},
"createdAt": "<string>",
"updatedAt": "<string>"
},
"customerId": "<string>",
"verificationSubtype": "<string>",
"countryCode": "<string>",
"email": "<string>",
"name": "<string>",
"status": "<string>",
"expiresAt": "<string>",
"completedAt": "<string>",
"submittedAt": "<string>",
"completedSteps": [
"<string>"
],
"requiredSteps": [
"<string>"
],
"requiredFields": [
{
"fieldPath": "<string>",
"displayName": "<string>",
"dataType": "<string>",
"required": true,
"validationPattern": "<string>",
"validationMessage": "<string>",
"allowedValues": [
"<string>"
],
"exampleValue": "<string>",
"uiTag": "<string>",
"infoBox": "<string>",
"options": [
"<string>"
],
"isMultiSelect": true,
"stepId": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
},
"minLength": 123,
"maxLength": 123,
"link": "<string>",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"countryCode": "<string>",
"allowNoTinPlaceholder": true,
"sourcePackage": "<string>"
}
],
"requiredDocuments": [
{
"documentType": "IDENTITY",
"displayName": "<string>",
"required": true,
"acceptedFormats": [
"<string>"
],
"requiredSides": [
"<string>"
],
"maxSizeBytes": 123,
"infoBox": "<string>",
"stepId": "<string>",
"requirementId": "<string>",
"documentSubtype": "GOVERNMENT_ID_FRONT",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"documentFieldPath": "<string>",
"minimumFileCount": 123,
"sourcePackage": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
}
}
],
"documentRequirements": {
"requiredDocuments": [
{
"documentType": "IDENTITY",
"displayName": "<string>",
"required": true,
"acceptedFormats": [
"<string>"
],
"requiredSides": [
"<string>"
],
"maxSizeBytes": 123,
"infoBox": "<string>",
"stepId": "<string>",
"requirementId": "<string>",
"documentSubtype": "GOVERNMENT_ID_FRONT",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"documentFieldPath": "<string>",
"minimumFileCount": 123,
"sourcePackage": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
}
}
]
},
"steps": [
{
"id": "<string>",
"title": "<string>",
"subtitle": "<string>",
"order": 123,
"requiredFields": [
"<string>"
],
"requiredDocuments": [
"<string>"
],
"documentRequirements": {
"requiredDocuments": [
{
"documentType": "IDENTITY",
"displayName": "<string>",
"required": true,
"acceptedFormats": [
"<string>"
],
"requiredSides": [
"<string>"
],
"maxSizeBytes": 123,
"infoBox": "<string>",
"stepId": "<string>",
"requirementId": "<string>",
"documentSubtype": "GOVERNMENT_ID_FRONT",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"documentFieldPath": "<string>",
"minimumFileCount": 123,
"sourcePackage": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
}
}
]
}
}
],
"estimatedCompletionTimeMinutes": 123,
"collectedData": {},
"providerData": {},
"providerSessionId": "<string>",
"verificationUrl": "<string>",
"metadata": {},
"fillOnBehalf": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"featureFlags": [
"socuredocv",
"advanced-reporting"
],
"bankPartnerAgreementsRequired": true,
"associatedEntityId": "asp_abc123",
"customerName": "Acme Corporation",
"enhancedDiligence": {
"requiredFields": [
{
"fieldPath": "<string>",
"displayName": "<string>",
"dataType": "<string>",
"required": true,
"validationPattern": "<string>",
"validationMessage": "<string>",
"allowedValues": [
"<string>"
],
"exampleValue": "<string>",
"uiTag": "<string>",
"infoBox": "<string>",
"options": [
"<string>"
],
"isMultiSelect": true,
"stepId": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
},
"minLength": 123,
"maxLength": 123,
"link": "<string>",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"countryCode": "<string>",
"allowNoTinPlaceholder": true,
"sourcePackage": "<string>"
}
],
"requiredDocuments": [
{
"documentType": "IDENTITY",
"displayName": "<string>",
"required": true,
"acceptedFormats": [
"<string>"
],
"requiredSides": [
"<string>"
],
"maxSizeBytes": 123,
"infoBox": "<string>",
"stepId": "<string>",
"requirementId": "<string>",
"documentSubtype": "GOVERNMENT_ID_FRONT",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"documentFieldPath": "<string>",
"minimumFileCount": 123,
"sourcePackage": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
}
}
]
},
"deviceRiskSessionKey": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Session configuration with document requirements
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Feature flags enabled for the organization
Example:
["socuredocv", "advanced-reporting"]
Whether additional banking agreements must be accepted
Associated entity ID. Present when this is a UBO KYC session.
Example:
"asp_abc123"
Customer/business name. Present when this is a UBO KYC session.
Example:
"Acme Corporation"
Show child attributes
Show child attributes
Server-generated session key for device-intelligence collection on the hosted verification UI. Absent when the integration is not configured.
Was this page helpful?